<bugID>611440<Summary>Smart abbreviation for URLs in the Web Console</Summary><Description>Per a discussion in IRC we'd like to see "smart abbreviation" for URLs. The idea is that, for long URLs, we show the first part of the URL and the last component + first part of the query string. Some examples:

http://www.google.com/search?q=kitten+pictures&amp;ie=utf-8&amp;oe=utf-8&amp;aq=t&amp;rls=org.mozilla:en-US:official&amp;client=firefox-a =&gt; www.google.com/search?q=kitten+pictures&amp;...
http://techcrunch.com/2010/11/11/itunes-ping-actually-goes-social-with-full-twitter-integration-facebook-still-mia/ =&gt; www.techcrunch.com/.../itunes-ping-actually-goes-.../
http://www.nytimes.com/external/gigaom/2010/11/10/10gigaom-one-third-of-top-grossing-iphone-apps-are-free-86181.html?ref=technology =&gt; www.nytimes.com/.../10gigaom-one-third-of-...?ref=technology

Ideally we'd like the user to be able to resize the window and see more and more of the URL appear.</Description></bugID>